//+------------------------------------------------------------------+
//|                                                          ADR.mq4 |
//|                                         Copyright  2009, MKroth |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MKroth"
#property indicator_chart_window

int nDigits;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   if(Symbol()=="GBPJPY" || Symbol()=="EURJPY" || Symbol()=="USDJPY" || Symbol()=="GOLD")  nDigits = 2;
   else nDigits = 4;

   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int R1=0,R5=0,R10=0,R20=0;
   string   Text="";
   int i=0;

   //Calulate averages for last 1, 5, 10 and 20 days
   
   R1 =  (iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/Point;
   for(i=1;i<=5;i++)
      R5    =    R5  +  (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;
   for(i=1;i<=10;i++)
      R10   =    R10 +  (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;
   for(i=1;i<=20;i++)
      R20   =    R20 +  (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;

   R5 = R5/5;
   R10 = R10/10;
   R20 = R20/20;
   
   Text =   "___________________" + "\n" +
            "\nAverage Daily Ranges" + "\n" +
            "--------------------------------" + "\n" +
            "Yesterday: " +  R1   + "\n" + 
            "Last 5 Days: " +  R5   + "\n" + 
            "Last 10 Days: " +  R10  + "\n" +
            "Last 20 Days: " +  R20  + "\n" +
            "___________________" + "\n";

   Comment(Text);

   return(0);
  }
//+------------------------------------------------------------------+