//+------------------------------------------------------------------+
//|                    Pivot Points Diarios                        |//
//|                 versin Agustn Morales B.                     |//
//|                          saadei                                |//
//|               cattus618-pipsfm@yahoo.com.mx                    |//
//|                         Abril/2007                             |//
//+------------------------------------------------------------------+


#property indicator_chart_window

extern bool Daily_Pivots  = True;
extern bool Back = False;
   
double Day_Price[][6];
double C1,H1,L1;
double Pivot;
double PivR1,PivR2,PivR3;
double PivS1,PivS2,PivS3;
double PivRMid1,PivRMid2,PivRMid3;
double PivSMid1,PivSMid2,PivSMid3;


//-------------------------------------------------------- 
//-------------------------------------------------------- 
//-------------------------------------------------------- 
   
int init()
{
return(0);
}

  
//-------------------------------------------------------- 
//-------------------------------------------------------- 
//-------------------------------------------------------- 
  
int deinit()
{
return(0);
}


//--------------------------------------------------------- 
//-------------------------------------------------------- 
//-------------------------------------------------------- 

int start()
{
//-------------------------------------------------------- 
//-------------------------------------------------------- 

   int counted_bars=IndicatorCounted();
   int limit;

//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;


//-------------------------------------------------------- 
//-------------------------------------------------------- 

ArrayInitialize(Day_Price,0);
ArrayCopyRates(Day_Price,(Symbol()), PERIOD_D1);

H1 = Day_Price[1][3];
L1 = Day_Price[1][2];
C1 = Day_Price[1][4];

Pivot = (H1+L1+C1)/3;

PivR1 = (Pivot*2)-L1;
PivR2 = Pivot+(H1-L1);
PivR3 = (Pivot*2)+(H1-(L1*2));

PivS1 = (Pivot*2)-H1;
PivS2 = Pivot-(H1-L1);
PivS3 = (Pivot*2)-((H1*2)-L1);

PivRMid1 = (Pivot+PivR1)/2;
PivRMid2 = (PivR1+PivR2)/2;
PivRMid3 = (PivR2+PivR3)/2;

PivSMid1 = (Pivot+PivS1)/2;
PivSMid2 = (PivS1+PivS2)/2;
PivSMid3 = (PivS2+PivS3)/2;


//--------------------------------------------------------
//----------------- Pivots Points ------------------------
//--------------------------------------------------------


if (Daily_Pivots==true)
   {
//----- Pivot Point Diario
         ObjectDelete("Pivot1");
         ObjectCreate("Pivot1",OBJ_ARROW,0,Time[0],Pivot);
         ObjectSet("Pivot1", OBJPROP_ARROWCODE,3);
         ObjectSet("Pivot1", OBJPROP_COLOR, Black);
         ObjectSet("Pivot1", OBJPROP_BACK,Back);

         ObjectDelete("Pivot2");
         ObjectCreate("Pivot2",OBJ_ARROW,0,Time[0],Pivot);
         ObjectSet("Pivot2", OBJPROP_ARROWCODE,4);
         ObjectSet("Pivot2", OBJPROP_COLOR, Black);
         ObjectSet("Pivot2", OBJPROP_BACK,Back);

//----- Resistencia 1
         ObjectDelete("PivR1");
         ObjectCreate("PivR1",OBJ_ARROW,0,Time[0],PivR1);
         ObjectSet("PivR1", OBJPROP_ARROWCODE,3);
         ObjectSet("PivR1", OBJPROP_COLOR, Blue);
         ObjectSet("PivR1", OBJPROP_BACK,Back);

//----- Resistencia Media 1
         ObjectDelete("PivRMid1");
         ObjectCreate("PivRMid1",OBJ_ARROW,0,Time[0],PivRMid1);
         ObjectSet("PivRMid1", OBJPROP_ARROWCODE,4);
         ObjectSet("PivRMid1", OBJPROP_COLOR, Blue);
         ObjectSet("PivRMid1", OBJPROP_BACK,Back);

//----- Resistencia 2
         ObjectDelete("PivR2");
         ObjectCreate("PivR2",OBJ_ARROW,0,Time[0],PivR2);
         ObjectSet("PivR2", OBJPROP_ARROWCODE,3);
         ObjectSet("PivR2", OBJPROP_COLOR, Blue);
         ObjectSet("PivR2", OBJPROP_BACK,Back);

//----- Resistencia Media 2
         ObjectDelete("PivRMid2");
         ObjectCreate("PivRMid2",OBJ_ARROW,0,Time[0],PivRMid2);
         ObjectSet("PivRMid2", OBJPROP_ARROWCODE,4);
         ObjectSet("PivRMid2", OBJPROP_COLOR, Blue);
         ObjectSet("PivRMid2", OBJPROP_BACK,Back);

//----- Resistencia 3
         ObjectDelete("PivR3");
         ObjectCreate("PivR3",OBJ_ARROW,0,Time[0],PivR3);
         ObjectSet("PivR3", OBJPROP_ARROWCODE,3);
         ObjectSet("PivR3", OBJPROP_COLOR, Blue);
         ObjectSet("PivR3", OBJPROP_BACK,Back);

//----- Resistencia Media 3
         ObjectDelete("PivRMid3");
         ObjectCreate("PivRMid3",OBJ_ARROW,0,Time[0],PivRMid3);
         ObjectSet("PivRMid3", OBJPROP_ARROWCODE,4);
         ObjectSet("PivRMid3", OBJPROP_COLOR, Blue);
         ObjectSet("PivRMid3", OBJPROP_BACK,Back);

//----- Soporte 1
         ObjectDelete("PivS1");
         ObjectCreate("PivS1",OBJ_ARROW,0,Time[0],PivS1);
         ObjectSet("PivS1", OBJPROP_ARROWCODE,3);
         ObjectSet("PivS1", OBJPROP_COLOR, Red);
         ObjectSet("PivS1", OBJPROP_BACK,Back);

//----- Soporte Medio 1
         ObjectDelete("PivSMid1");
         ObjectCreate("PivSMid1",OBJ_ARROW,0,Time[0],PivSMid1);
         ObjectSet("PivSMid1", OBJPROP_ARROWCODE,4);
         ObjectSet("PivSMid1", OBJPROP_COLOR, Red);
         ObjectSet("PivSMid1", OBJPROP_BACK,Back);

//----- Soporte 2
         ObjectDelete("PivS2");
         ObjectCreate("PivS2",OBJ_ARROW,0,Time[0],PivS2);
         ObjectSet("PivS2", OBJPROP_ARROWCODE,3);
         ObjectSet("PivS2", OBJPROP_COLOR, Red);
         ObjectSet("PivS2", OBJPROP_BACK,Back);

//----- Soporte Medio 2
         ObjectDelete("PivSMid2");
         ObjectCreate("PivSMid2",OBJ_ARROW,0,Time[0],PivSMid2);
         ObjectSet("PivSMid2", OBJPROP_ARROWCODE,4);
         ObjectSet("PivSMid2", OBJPROP_COLOR, Red);
         ObjectSet("PivSMid2", OBJPROP_BACK,Back);

//----- Soporte 3
         ObjectDelete("PivS3");
         ObjectCreate("PivS3",OBJ_ARROW,0,Time[0],PivS3);
         ObjectSet("PivS3", OBJPROP_ARROWCODE,3);
         ObjectSet("PivS3", OBJPROP_COLOR, Red);
         ObjectSet("PivS3", OBJPROP_BACK,Back);

//----- Soporte Medio 3
         ObjectDelete("PivSMid3");
         ObjectCreate("PivSMid3",OBJ_ARROW,0,Time[0],PivSMid3);
         ObjectSet("PivSMid3", OBJPROP_ARROWCODE,4);
         ObjectSet("PivSMid3", OBJPROP_COLOR, Red);
         ObjectSet("PivSMid3", OBJPROP_BACK,Back);

   }

ObjectsRedraw();


return(0);
}