//+------------------------------------------------------------------+
//|                                          Dale Test               |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_chart_window
//#property indicator_buffers 2
//#property indicator_color1 Red
//#property indicator_color2 Blu
extern  double BB1Color=Blue;
extern int          BB1Period=20;
extern int          BB1Deviation=2;
extern int          BB1Shift=0;

extern  double BB2Color=Red;
extern int          BB2Period=50;
extern int          BB2Deviation=2;
extern int          BB2Shift=0;
//+------------------------------------------------------------------+  
double BB1mid;
double BB1up;
double BB1low;
double BB2mid;
double BB2up;
double BB2low;
int init()
  {
BB1mid = iBands(NULL,0,BB1Period,BB1Deviation,BB1Shift,PRICE_CLOSE,0,0);
BB1up = iBands(NULL,0,BB1Period,BB1Deviation,BB1Shift,PRICE_CLOSE,2,0);
BB1low = iBands(NULL,0,BB1Period,BB1Deviation,BB1Shift,PRICE_CLOSE,1,0);

BB2mid = iBands(NULL,0,BB2Period,BB2Deviation,BB2Shift,PRICE_CLOSE,0,0);
BB2up = iBands(NULL,0,BB2Period,BB2Deviation,BB2Shift,PRICE_CLOSE,2,0);
BB2low = iBands(NULL,0,BB2Period,BB2Deviation,BB2Shift,PRICE_CLOSE,1,0);




//------------Bollinger Bands 
ObjectCreate("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_PRICE1, BB1mid);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_PRICE2, BB1mid);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_COLOR, BB1Color);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_RAY, 0);
 ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_PRICE1, BB1up);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_PRICE2, BB1up);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_COLOR, BB1Color);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_PRICE1, BB1low);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_PRICE2, BB1low);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_COLOR, BB1Color);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_WIDTH, 6);
 
//------------Bollinger Bands 2
ObjectCreate("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_PRICE1, BB2mid);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_PRICE2, BB2mid);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_COLOR, BB2Color);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_RAY, 0);
 ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_PRICE1, BB2up);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_PRICE2, BB2up);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_COLOR, BB2Color);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_PRICE1, BB2low);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_PRICE2, BB2low);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_COLOR, BB2Color);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_WIDTH, 6); 
 
 //ObjectSetText("BollingerBand"+BB1Period+"  ", "Test1", NULL, NULL, NULL);
WindowRedraw();
return(0);  
  
 
  }
int deinit()
{
   ObjectsDeleteAll();
   // delete all objects
   
   return(0);
}


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  { 

  }
//+------------------------------------------------------------------+
 