//+------------------------------------------------------------------+
//|                                          Dale Test               |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_chart_window
//#property indicator_buffers 2
//#property indicator_color1 Red
//#property indicator_color2 Blu
extern  double BB1Color=Green;
extern int          BB1Period=20;
extern int          BB1Deviation=2;
extern int          BB1Shift=0;

extern  double BB2Color=Orange;
extern int          BB2Period=50;
extern int          BB2Deviation=2;
extern int          BB2Shift=0;

extern  double PCColor=Yellow;
extern string       PriceChannelName="Price_Channel";
extern int          PCPeriod=20;

extern  double StarcColor=Blue;
extern string       StarcName="starc_bands";
extern int          StarcPeriod=10;

extern  double MA1Color=White;
extern int      MA1Period=14;

extern  double MA2Color=Pink;
extern int      MA2Period=50;
//+------------------------------------------------------------------+  
double BB1mid;
double BB1up;
double BB1low;
double BB2mid;
double BB2up;
double BB2low;
double PClow;
double PCmid;
double PCup;
double Starclow;
double Starcmid;
double Starcup;
double MA1;
double MA2;

int init()
  {
BB1mid = iBands(NULL,0,BB1Period,BB1Deviation,BB1Shift,PRICE_CLOSE,0,0);
BB1up = iBands(NULL,0,BB1Period,BB1Deviation,BB1Shift,PRICE_CLOSE,2,0);
BB1low = iBands(NULL,0,BB1Period,BB1Deviation,BB1Shift,PRICE_CLOSE,1,0);

BB2mid = iBands(NULL,0,BB2Period,BB2Deviation,BB2Shift,PRICE_CLOSE,0,0);
BB2up = iBands(NULL,0,BB2Period,BB2Deviation,BB2Shift,PRICE_CLOSE,2,0);
BB2low = iBands(NULL,0,BB2Period,BB2Deviation,BB2Shift,PRICE_CLOSE,1,0);


PCup = iCustom(NULL,0,PriceChannelName,PCPeriod,0,0);
PClow = iCustom(NULL,0,PriceChannelName,PCPeriod,1,0);
PCmid = iCustom(NULL,0,PriceChannelName,PCPeriod,2,0);

Starcmid = iCustom(NULL,0,StarcName,StarcPeriod,StarcPeriod,0,0);
Starcup = iCustom(NULL,0,StarcName,StarcPeriod,StarcPeriod,1.0,1,0);
Starclow = iCustom(NULL,0,StarcName,StarcPeriod,StarcPeriod,1.0,2,0);

MA1=iMA(NULL,0,MA1Period,0,MODE_EMA,PRICE_CLOSE,0);
MA2=iMA(NULL,0,MA2Period,0,MODE_EMA,PRICE_CLOSE,0);

//------------MAs Channels 

ObjectCreate("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJPROP_PRICE1, MA2);
ObjectSet("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJPROP_PRICE2, MA2);
ObjectSet("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJPROP_COLOR, MA2Color);
ObjectSet("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJPROP_RAY, 0);
ObjectSet("MA"+MA2Period+"  "+DoubleToStr(MA2,Digits), OBJPROP_WIDTH, 6);

ObjectCreate("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJPROP_PRICE1, MA1);
ObjectSet("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJPROP_PRICE2, MA1);
ObjectSet("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJPROP_COLOR, MA1Color);
ObjectSet("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJPROP_RAY, 0);
ObjectSet("MA"+MA1Period+"  "+DoubleToStr(MA1,Digits), OBJPROP_WIDTH, 6);

//------------Starc Channels 
ObjectCreate("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJPROP_PRICE1, Starcup);
ObjectSet("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJPROP_PRICE2, Starcup);
ObjectSet("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJPROP_COLOR, StarcColor);
ObjectSet("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJPROP_RAY, 0);
 ObjectSet("Starc"+StarcPeriod+"up  "+DoubleToStr(Starcup,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJPROP_PRICE1, Starclow);
ObjectSet("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJPROP_PRICE2, Starclow);
ObjectSet("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJPROP_COLOR, StarcColor);
ObjectSet("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJPROP_RAY, 0);
 ObjectSet("Starc"+StarcPeriod+"low  "+DoubleToStr(Starclow,Digits), OBJPROP_WIDTH, 6);
 
 ObjectCreate("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJPROP_PRICE1, Starcmid);
ObjectSet("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJPROP_PRICE2, Starcmid);
ObjectSet("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJPROP_COLOR, StarcColor);
ObjectSet("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJPROP_RAY, 0);
 ObjectSet("Starc"+StarcPeriod+"mid  "+DoubleToStr(Starcmid,Digits), OBJPROP_WIDTH, 6);
 
 
//------------PriceChannels 
ObjectCreate("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJPROP_PRICE1, PCmid);
ObjectSet("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJPROP_PRICE2, PCmid);
ObjectSet("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJPROP_COLOR, PCColor);
ObjectSet("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJPROP_RAY, 0);
 ObjectSet("PC"+PCPeriod+"Mid  "+DoubleToStr(PCmid,Digits), OBJPROP_WIDTH, 6);

ObjectCreate("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJPROP_PRICE1, PCup);
ObjectSet("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJPROP_PRICE2, PCup);
ObjectSet("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJPROP_COLOR, PCColor);
ObjectSet("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJPROP_RAY, 0);
ObjectSet("PC"+PCPeriod+"up  "+DoubleToStr(PCup,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJPROP_PRICE1, PClow);
ObjectSet("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJPROP_PRICE2, PClow);
ObjectSet("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJPROP_COLOR, PCColor);
ObjectSet("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJPROP_RAY, 0);
ObjectSet("PC"+PCPeriod+"low  "+DoubleToStr(PClow,Digits), OBJPROP_WIDTH, 6);

//------------Bollinger Bands 
ObjectCreate("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_PRICE1, BB1mid);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_PRICE2, BB1mid);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_COLOR, BB1Color);
ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_RAY, 0);
 ObjectSet("BB"+BB1Period+"Mid  "+DoubleToStr(BB1mid,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_PRICE1, BB1up);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_PRICE2, BB1up);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_COLOR, BB1Color);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB1Period+"Upper  "+DoubleToStr(BB1up,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_PRICE1, BB1low);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_PRICE2, BB1low);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_COLOR, BB1Color);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB1Period+"Lower  "+DoubleToStr(BB1low,Digits), OBJPROP_WIDTH, 6);
 
//------------Bollinger Bands 2
ObjectCreate("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_PRICE1, BB2mid);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_PRICE2, BB2mid);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_COLOR, BB2Color);
ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_RAY, 0);
 ObjectSet("BB"+BB2Period+"Mid  "+DoubleToStr(BB2mid,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_PRICE1, BB2up);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_PRICE2, BB2up);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_COLOR, BB2Color);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB2Period+"Upper  "+DoubleToStr(BB2up,Digits), OBJPROP_WIDTH, 6);
 
ObjectCreate("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJ_TREND, 0, 0, 0);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_PRICE1, BB2low);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_PRICE2, BB2low);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_TIME1, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_TIME2, iTime(NULL,0,0));
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_COLOR, BB2Color);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_RAY, 0);
ObjectSet("BB"+BB2Period+"Lower  "+DoubleToStr(BB2low,Digits), OBJPROP_WIDTH, 6); 
 
 //ObjectSetText("BollingerBand"+BB1Period+"  ", "Test1", NULL, NULL, NULL);
WindowRedraw();
return(0);  
  
 
  }
int deinit()
{
   ObjectsDeleteAll();
   // delete all objects
   
   return(0);
}


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  { 

  }
//+------------------------------------------------------------------+