//+------------------------------------------+
//|Husky1 Opening M1 and H1 Candle Data      |
//|And Previous day, Close, Low, and High    |
//|Husky_1_Daily_data_EURUSD                 |
//|Authored by Husky_1                       |
//|Drawline credits below                    |
//+------------------------------------------+
#property link      "http://husky4x.blogspot.com"
#property indicator_chart_window
//---- Lets define our colors
extern color   LineColor=PaleTurquoise;
extern color   HCloseColor   =MintCream;
extern color   MnCloseColor  =MintCream;


//---Lets start
void start()

  {   
   string thisyear=Year();
   string thismonth=Month();
   string thisday=Day();
   string timeframe= StringConcatenate(thisyear,".",thismonth,".",thisday," 02:00");
   datetime todayinfo = StrToTime(timeframe);
   //
   //Print (timeframe);
   double eudo=iOpen(NULL,PERIOD_M1,iBarShift(NULL,PERIOD_M1,todayinfo,false));
   double eumc=iClose(NULL,PERIOD_M1,iBarShift(NULL,PERIOD_M1,todayinfo,false));
   double euhc=iClose(NULL,PERIOD_H1,iBarShift(NULL,PERIOD_H1,todayinfo,false));
//---- Send to console

//Print (Symbol(), "   Intialopen:",eudo,"  1st Minute Close:",eumc,"  1st Hour Close:",euhc);
//---- Draw Lines

     {
      DrawLine(eudo,"Intialopen",LineColor);
      DrawLine(euhc,"Hourclose",LineColor);
      //DrawLine(eumc,"MinutClose",LineColor);
      DrawLine(iClose(NULL,PERIOD_D1, 1),"Yesterday Close", LineColor);     
      DrawLine(iHigh(NULL,PERIOD_D1, 1),"Yesterday High", LineColor);
      DrawLine(iLow(NULL,PERIOD_D1, 1),"Yesterday Low", LineColor);           
           
           }
   
//---- End Draw Lines
   return(0);
  }
//+------------------------------------------------+
//|Drawline code re-used from:                     |   
//|                           DOSR.mq4             |
//|                           Developed by mqldev  |
//|                           http://www.mqldev.com|                                                                  |
//+------------------------------------------------+
int DrawLine(double price  , string Obj , color clr)
  {
   int objs=ObjectsTotal();
   string name;
   for(int cnt=ObjectsTotal()-1;cnt>=0;cnt--)
     {
      name=ObjectName(cnt);
      if (StringFind(name,Obj,0)>-1)
        {
         ObjectMove(Obj,0,Time[0],price);
         ObjectsRedraw();
         return(1);
        }
     }
   ObjectCreate(Obj,OBJ_HLINE,0,0,price);
   ObjectSet(Obj,OBJPROP_COLOR,clr);
   WindowRedraw();
   return(0);
  }
  
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+