

//+------------------------------------------------------------------+
//|             Addition of vol % by Husky           
//|                     Original BarTimer.mq4 Author: Vasyl Gumenyak |  
//|                                           http://www.jiport.com/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Art Royal s.r.o."
#property link      "http://www.jiport.com/"

#property indicator_chart_window
//#property indicator_separate_window
#property indicator_buffers 0

extern string FontName="Tahoma Narrow";
extern int FontSize=9;
//extern color FontColor=White;
extern int Corner=1;// values [0-3] -  
extern int XDistance=30;// x    
extern int YDistance=230;// y    
double volpercentage;
double volcolor;
string vol;
int lenbase;
string s_base=":...:...:...:...:";//      

int init()
  {
   lenbase=StringLen(s_base);
   return(0);
  }

int deinit()
  {
   if (ObjectFind("BarTimer") != -1) ObjectDelete("BarTimer");
   if (ObjectFind("VolPer") != -1) ObjectDelete("VolPer");
   return(0);
  }

//+------------------------------------------------------------------+
//|                        |
//|        ,                     |
//|                                    |
//|                                  |
//+------------------------------------------------------------------+
int start()
  {
   int i=0,sec=0;
   double pc=0.0;
   string time="",s_end="",s_beg="";
   if (ObjectFind("BarTimer") == -1) 
   
   if ( pc < volpercentage) volcolor = Lime;
   if ( pc > volpercentage) volcolor = Red;
   if ( pc == volpercentage) volcolor = Yellow;
     //  if ( iCustom(NULL,0,DSSName,8,0,0)< iCustom(NULL,NULL,DSSName,8,0,1) ) volcolor= Red;
     //  if ( iCustom(NULL,0,DSSName,8,0,0)== iCustom(NULL,NULL,DSSName,8,0,1) ) volcolor= LightBlue;
   
  
   {//     -    
     ObjectCreate("BarTimer" , OBJ_LABEL,0,0,0);
     ObjectSet("BarTimer", OBJPROP_XDISTANCE, XDistance);
     ObjectSet("BarTimer", OBJPROP_YDISTANCE, YDistance);
     ObjectSet("BarTimer", OBJPROP_CORNER, Corner);
     }
   
   if (ObjectFind("VolPer") == -1) 
   {//     -    
     ObjectCreate("VolPer" , OBJ_LABEL,0,0,0);
     ObjectSet("VolPer", OBJPROP_XDISTANCE, XDistance);
     ObjectSet("VolPer", OBJPROP_YDISTANCE, YDistance+10);
     ObjectSet("VolPer", OBJPROP_CORNER, Corner);
     }
   
  
   sec=TimeCurrent()-Time[0];//      
   i=(lenbase-1)*sec/(Period()*60);//  
   pc=100.0*sec/(Period()*60);//      
   if(i>lenbase-1) i=lenbase-1;//    
   if(i>0) s_beg=StringSubstr(s_base,0,i);
   if(i<lenbase-1) s_end=StringSubstr(s_base,i+1,lenbase-i-1);
    
   if ( pc < volpercentage) volcolor = Lime;
   if ( pc > volpercentage) volcolor = Red;
   if ( pc == volpercentage) volcolor = Yellow;
    
   //Print ("PC:", pc, "   Vol%:",volpercentage);
   time=StringConcatenate("Bar - " ,DoubleToStr(pc,0),"%");
   volpercentage=((iVolume(NULL,NULL,0)/iVolume(NULL,NULL,1))*100);
 //Print ("Volume Perc:  ", DoubleToStr(volpercentage,0),"%");
   vol=StringConcatenate("Vol - ", DoubleToStr(volpercentage,0),"%");
   ObjectSetText("BarTimer", time, FontSize, FontName, volcolor);
   ObjectSetText("VolPer", vol, FontSize, FontName, volcolor);
   return(0);
  }
//+------------------------------------------------------------------+