//+------------------------------------------------------------------+
//|                                    VSA Divergence Statistics.mq4|
//|                                    Copyright  2008, FOREXflash. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, FOREXflash Software Corp."
#property link      "http://www.metaquotes.net"
//----
#property indicator_separate_window
#property indicator_buffers 5
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_color3 White
#property indicator_color4 Red
#property indicator_color5 Lime

#property indicator_width3 4
#property indicator_width4 4
#property indicator_width5 4

extern bool    ShowText=true;
extern int     Corner=1;

//---- buffers
double P1;
double P2;
double Poin;
double P1Buffer[];
double P2Buffer[];
double white[];
double green[];
double red[];
//----
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {   
   SetIndexBuffer(0, P1Buffer);
   SetIndexBuffer(1, P2Buffer);

//----
   SetIndexStyle(0, DRAW_NONE);
   SetIndexStyle(1, DRAW_NONE);
   
      SetIndexBuffer(2,white);
      SetIndexStyle(2,DRAW_HISTOGRAM);
      SetIndexBuffer(3,green);
      SetIndexStyle(3,DRAW_HISTOGRAM);
      SetIndexBuffer(4,red);
      SetIndexStyle(4,DRAW_HISTOGRAM);
      
      SetIndexDrawBegin(0,0);
      SetIndexDrawBegin(1,0);
      SetIndexDrawBegin(2,0);
      SetIndexDrawBegin(3,0);
      SetIndexDrawBegin(4,0);
      SetIndexDrawBegin(5,0);

//----
   IndicatorDigits(0);
   IndicatorShortName("VSA Divergence Statistics");
   
   if (ShowText==True)
   {
   draw_objects();
   }
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  ObjectsDeleteAll(0,OBJ_LABEL);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
   {

   draw_objects();

   
   
   int i,ii;
   static int pii=-1;
   
   for(i = 0; i <iBars(Symbol(),PERIOD_M1) ; i++)
     {
       ii = iBarShift(Symbol(), Period(), iTime(Symbol(),PERIOD_M1,i), true);
       //----
       if (pii!=ii)
       {
         P1=0;
         P2=0;
         P1Buffer[ii]=0;
         P2Buffer[ii]=0;
         
       }

  pii=ii;
  }
  BST();
//----
   return(0);
  }
//+------------------------------------------------------------------+

void BST()
{
   int i;
//----
   for(i=0; i<500; i++)
     { 
                                                                                                           {white[i] = 100000000000;}
if (Close[i] > Open[i+1] && Volume[i]<Volume[i+1] && Close[i+1] > Open[i+2] && Volume[i+1]<Volume[i+2])    {green[i] = 100000000000;}
if (Close[i] < Open[i+1] && Volume[i]<Volume[i+1] && Close[i+1] < Open[i+2] && Volume[i+1]<Volume[i+2])    {red[i]   = 100000000000;}
}
//----
   return(0);
  }
//+------------------------------------------------------------------+

void draw_objects()
{
//+--------------
   
   ObjectCreate("VcsBox1s", OBJ_LABEL, WindowFind("VSA Divergence Statistics"), 0, 0);
   ObjectSetText("VcsBox1s","VSA Divergence Statistics",8, "Trebuchet MS", White);
   ObjectSet("VcsBox1s", OBJPROP_CORNER, Corner);
   ObjectSet("VcsBox1s", OBJPROP_XDISTANCE, 15);
   ObjectSet("VcsBox1s", OBJPROP_YDISTANCE, 0);
   
}
//+------------------------------------------------------------------+  